using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace MTWorkHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class addSubscription : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "SubscriptionConfiguration",
                columns: table => new
                {
                    Id = table.Column<long>(type: "bigint", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    CreateUser = table.Column<string>(type: "nvarchar(450)", maxLength: 450, nullable: true),
                    UpdateUser = table.Column<string>(type: "nvarchar(450)", maxLength: 450, nullable: true),
                    CreateDate = table.Column<DateTime>(type: "datetime2", nullable: false),
                    UpdateDate = table.Column<DateTime>(type: "datetime2", nullable: true),
                    IsDeleted = table.Column<bool>(type: "bit", nullable: false),
                    DeleteUserId = table.Column<string>(type: "nvarchar(450)", maxLength: 450, nullable: true),
                    FirstRegisterationCompanyFees = table.Column<decimal>(type: "decimal(18,2)", nullable: true),
                    MonthlyCompanyFees = table.Column<decimal>(type: "decimal(18,2)", nullable: true),
                    YearlyCompanyFees = table.Column<decimal>(type: "decimal(18,2)", nullable: true),
                    MonthlyEmployeeServicesCompanyFees = table.Column<decimal>(type: "decimal(18,2)", nullable: true),
                    DistinguishedEmployeeCompanyFeesPerc = table.Column<decimal>(type: "decimal(18,2)", nullable: true),
                    OrdinaryEmployeePerc = table.Column<decimal>(type: "decimal(18,2)", nullable: true),
                    DistinguishedEmployeePerc = table.Column<decimal>(type: "decimal(18,2)", nullable: true),
                    DeductedFirstSearchAmount = table.Column<decimal>(type: "decimal(18,2)", nullable: true),
                    ContractDocumentationFees = table.Column<decimal>(type: "decimal(18,2)", nullable: true),
                    ExperienceCertificateFees = table.Column<decimal>(type: "decimal(18,2)", nullable: true),
                    RequestDisputeResolutionFees = table.Column<decimal>(type: "decimal(18,2)", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_SubscriptionConfiguration", x => x.Id);
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "SubscriptionConfiguration");
        }
    }
}
